# Rougail

Rougail est un bibliothèque python3 qui permet de charger des dictionnaires (fichiers au format XML), de charger les variables dans Tiramisu et de générer des templates.

## La bibliothèque

  - [Utiliser la bibliothèque](dev/README.md)
  - [Personnaliser la configration de la bibliothèque](dev/config.md)

## Les dictionnaires

  - [Les dictionnaires](dictionary/rougail.md)
  - [Les dictionnaires extra](dictionary/extra.md)

### Les variables

  - [Les familles](family/README.md)
  - [Les variables](variable/README.md)

### Les services

  - [La gestion d'un fichier](service/file.md)
  - [La gestion d'un fichier de service systemd](service/override.md)
  - [La gestion d'une ip](service/ip.md)

### Les contraintes

  - [Les calcules automatiques](fill/README.md)
  - [Les vérifications des valeurs](check/README.md)
  - [Les conditions](condition/README.md)
  - [Les variables meneuses ou suiveuses](variable/leadership.md)

## Les templates

  - Type creole
  - Type jinja2
FIXME ^^
