# Les conditions

## Les conditions \_if_in et \_if_not_in

Il existe deux types de conditions :

- les conditions dont le nom fini par \_if_in : dans ce cas si la variable source est égal à un des paramètres, l'action est effective
- les conditions dont le nom fini par \_if_not_in : dans ce cas si la variable source est différents de tous les paramètres, l'action est effective

## Désactivation

Il est possible de désactiver une [variable](../variable/README.md) ou une [famille](../family/README.md) avec les conditions :

- disabled_if_in
- disabled_if_not_in

## Caché

Il est possible de cacher une [variable](../variable/README.md), une [famille](../family/README.md), un [service](../service/service.md), un [fichier](../service/file.md) ou une [ip](../service/ip.md) avec les conditions :

- hidden_if_in
- hidden_if_not_in

## Obligatoire

Il est possible de rendre obligatoire une [variable](../variable/README.md) avec les conditions :

- mandatory_if_in
- mandatory_if_not_in
