from importlib.machinery import SourceFileLoader
from importlib.util import spec_from_loader, module_from_spec
loader = SourceFileLoader('func', 'tests/dictionaries/../eosfunc/test.py')
spec = spec_from_loader(loader.name, loader)
func = module_from_spec(spec)
loader.exec_module(func)
for key, value in dict(locals()).items():
    if key != ['SourceFileLoader', 'func']:
        setattr(func, key, value)
try:
    from tiramisu3 import *
except:
    from tiramisu import *
option_3 = StrOption(name="mode_conteneur_actif", doc="No change", default="non", properties=frozenset({"force_default_on_freeze", "frozen", "hidden", "mandatory", "normal"}))
option_4 = StrOption(name="activer_ejabberd", doc="No change", default="non", properties=frozenset({"force_default_on_freeze", "frozen", "hidden", "mandatory", "normal"}))
option_2 = OptionDescription(name="general", doc="général", children=[option_3, option_4], properties=frozenset({"normal"}))
option_1 = OptionDescription(name="rougail", doc="rougail", children=[option_2])
option_8 = StrOption(name="description", doc="description", multi=True, default=['test'], properties=frozenset({"mandatory"}))
option_9 = StrOption(name="mode", doc="mode", multi=True, default_multi="pre", properties=frozenset({"mandatory", "normal"}))
option_7 = Leadership(name="description", doc="description", children=[option_8, option_9], properties=frozenset({"normal"}))
option_6 = OptionDescription(name="ejabberd", doc="ejabberd", children=[option_7], properties=frozenset({"normal"}))
option_5 = OptionDescription(name="extra", doc="extra", children=[option_6])
option_14 = StrOption(name="engine", doc="engine", default="creole")
option_15 = StrOption(name="group", doc="group", default="root")
option_16 = StrOption(name="included", doc="included", default="no")
option_17 = StrOption(name="mode", doc="mode", default="0644")
option_18 = FilenameOption(name="name", doc="name", default="/etc/mailname")
option_19 = StrOption(name="owner", doc="owner", default="root")
option_20 = StrOption(name="source", doc="source", default="mailname")
option_21 = BoolOption(name="activate", doc="activate", default=True)
option_13 = OptionDescription(name="mailname", doc="mailname", children=[option_14, option_15, option_16, option_17, option_18, option_19, option_20, option_21])
option_23 = StrOption(name="engine", doc="engine", default="jinja2")
option_24 = StrOption(name="group", doc="group", default="root")
option_25 = StrOption(name="included", doc="included", default="no")
option_26 = StrOption(name="mode", doc="mode", default="0644")
option_27 = FilenameOption(name="name", doc="name", default="/etc/mailname2")
option_28 = StrOption(name="owner", doc="owner", default="root")
option_29 = StrOption(name="source", doc="source", default="mailname2")
option_30 = BoolOption(name="activate", doc="activate", default=True)
option_22 = OptionDescription(name="mailname2", doc="mailname2", children=[option_23, option_24, option_25, option_26, option_27, option_28, option_29, option_30])
option_12 = OptionDescription(name="files", doc="files", children=[option_13, option_22])
option_31 = BoolOption(name="activate", doc="activate", default=True)
option_32 = BoolOption(name="manage", doc="manage", default=True)
option_11 = OptionDescription(name="test", doc="test", children=[option_12, option_31, option_32])
option_10 = OptionDescription(name="services", doc="services", children=[option_11], properties=frozenset({"hidden"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[option_1, option_5, option_10])
