from importlib.machinery import SourceFileLoader
from importlib.util import spec_from_loader, module_from_spec
loader = SourceFileLoader('func', 'tests/dictionaries/../eosfunc/test.py')
spec = spec_from_loader(loader.name, loader)
func = module_from_spec(spec)
loader.exec_module(func)
for key, value in dict(locals()).items():
    if key != ['SourceFileLoader', 'func']:
        setattr(func, key, value)
try:
    from tiramisu3 import *
except:
    from tiramisu import *
option_2 = FilenameOption(name="file_name", doc="file_name", multi=True, default=['/etc/mailname', '/etc/mailname2'], default_multi="/etc/mailname", properties=frozenset({"mandatory", "normal"}))
option_3 = FilenameOption(name="file_name2", doc="file_name2", multi=True, default=['/etc/mailname3', '/etc/mailname4'], default_multi="/etc/mailname3", properties=frozenset({"mandatory", "normal"}))
option_4 = StrOption(name="var", doc="var", multi=True, default=['mailname', 'mailname2'], default_multi="mailname", properties=frozenset({"mandatory", "normal"}))
option_1 = OptionDescription(name="rougail", doc="rougail", children=[option_2, option_3, option_4])
option_9 = StrOption(name="engine", doc="engine", default="creole")
option_10 = StrOption(name="group", doc="group", default="root")
option_11 = StrOption(name="included", doc="included", default="no")
option_12 = StrOption(name="mode", doc="mode", default="0644")
option_13 = SymLinkOption(name="name", opt=option_2)
option_14 = StrOption(name="owner", doc="owner", default="root")
option_15 = StrOption(name="source", doc="source", default="mailname")
option_16 = SymLinkOption(name="variable", opt=option_4)
option_17 = BoolOption(name="activate", doc="activate", default=True)
option_8 = OptionDescription(name="mailname", doc="mailname", children=[option_9, option_10, option_11, option_12, option_13, option_14, option_15, option_16, option_17])
option_19 = StrOption(name="engine", doc="engine", default="jinja2")
option_20 = StrOption(name="group", doc="group", default="root")
option_21 = StrOption(name="included", doc="included", default="no")
option_22 = StrOption(name="mode", doc="mode", default="0644")
option_23 = SymLinkOption(name="name", opt=option_3)
option_24 = StrOption(name="owner", doc="owner", default="root")
option_25 = StrOption(name="source", doc="source", default="mailname2")
option_26 = SymLinkOption(name="variable", opt=option_4)
option_27 = BoolOption(name="activate", doc="activate", default=True)
option_18 = OptionDescription(name="mailname2", doc="mailname2", children=[option_19, option_20, option_21, option_22, option_23, option_24, option_25, option_26, option_27])
option_7 = OptionDescription(name="files", doc="files", children=[option_8, option_18])
option_28 = BoolOption(name="activate", doc="activate", default=True)
option_29 = BoolOption(name="manage", doc="manage", default=True)
option_6 = OptionDescription(name="test", doc="test", children=[option_7, option_28, option_29])
option_5 = OptionDescription(name="services", doc="services", children=[option_6], properties=frozenset({"hidden"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[option_1, option_5])
