from importlib.machinery import SourceFileLoader
from importlib.util import spec_from_loader, module_from_spec
loader = SourceFileLoader('func', 'tests/dictionaries/../eosfunc/test.py')
spec = spec_from_loader(loader.name, loader)
func = module_from_spec(spec)
loader.exec_module(func)
for key, value in dict(locals()).items():
    if key != ['SourceFileLoader', 'func']:
        setattr(func, key, value)
try:
    from tiramisu3 import *
except:
    from tiramisu import *
option_3 = StrOption(name="mode_conteneur_actif", doc="No change", default="oui", properties=frozenset({"force_default_on_freeze", "frozen", "hidden", "mandatory", "normal"}))
option_2 = OptionDescription(name="general", doc="général", children=[option_3], properties=frozenset({"normal"}))
option_1 = OptionDescription(name="rougail", doc="rougail", children=[option_2])
option_8 = StrOption(name="engine", doc="engine", default="creole")
option_9 = StrOption(name="group", doc="group", default="root")
option_10 = StrOption(name="included", doc="included", default="no")
option_11 = StrOption(name="mode", doc="mode", default="0644")
option_12 = FilenameOption(name="name", doc="name", default="/etc/mailname")
option_13 = StrOption(name="owner", doc="owner", default="root")
option_14 = StrOption(name="source", doc="source", default="mailname")
option_15 = BoolOption(name="activate", doc="activate", default=True)
option_7 = OptionDescription(name="mailname", doc="mailname", children=[option_8, option_9, option_10, option_11, option_12, option_13, option_14, option_15])
option_17 = StrOption(name="engine", doc="engine", default="creole")
option_18 = StrOption(name="group", doc="group", default="root")
option_19 = StrOption(name="included", doc="included", default="no")
option_20 = StrOption(name="mode", doc="mode", default="0644")
option_21 = FilenameOption(name="name", doc="name", default="/etc/eole/mailname")
option_22 = StrOption(name="owner", doc="owner", default="root")
option_23 = StrOption(name="source", doc="source", default="mailname")
option_24 = BoolOption(name="activate", doc="activate", default=True)
option_16 = OptionDescription(name="mailname_1", doc="mailname_1", children=[option_17, option_18, option_19, option_20, option_21, option_22, option_23, option_24])
option_26 = StrOption(name="engine", doc="engine", default="creole")
option_27 = StrOption(name="group", doc="group", default="root")
option_28 = StrOption(name="included", doc="included", default="no")
option_29 = StrOption(name="mode", doc="mode", default="0644")
option_30 = FilenameOption(name="name", doc="name", default="/rougail.conf")
option_31 = StrOption(name="owner", doc="owner", default="root")
option_32 = StrOption(name="source", doc="source", default="rougail.conf")
option_33 = BoolOption(name="activate", doc="activate", default=True)
option_25 = OptionDescription(name="rougail_conf", doc="rougail.conf", children=[option_26, option_27, option_28, option_29, option_30, option_31, option_32, option_33])
option_6 = OptionDescription(name="files", doc="files", children=[option_7, option_16, option_25])
option_34 = BoolOption(name="activate", doc="activate", default=True)
option_35 = BoolOption(name="manage", doc="manage", default=True)
option_5 = OptionDescription(name="test", doc="test", children=[option_6, option_34, option_35])
option_4 = OptionDescription(name="services", doc="services", children=[option_5], properties=frozenset({"hidden"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[option_1, option_4])
